Alembic Version 1.1

Public Member Functions | Public Attributes | List of all members
Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::Connection Struct Reference

`#include <MaterialFlatten.h>`

Collaboration diagram for Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::Connection:
[legend]

## Public Member Functions
| Connection (const std::string &iInputName, const std::string &iConnectedNodeName, const std::string &iConnectedOutputName)
bool | operator== (const Connection &iRhs) const

## Public Attributes
std::string | inputName
std::string | connectedNodeName
std::string | connectedOutputName

## Detailed Description

Definition at line 171 of file MaterialFlatten.h.

## Constructor & Destructor Documentation

## ◆ Connection()

Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::Connection::Connection | ( | const std::string & | iInputName,
|  | const std::string & | iConnectedNodeName,
|  | const std::string & | iConnectedOutputName
| ) |  |
| inline

Definition at line 173 of file MaterialFlatten.h.

## Member Function Documentation

## ◆ operator==()

bool Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::Connection::operator== | ( | const Connection & | iRhs | ) | const
| inline

Definition at line 182 of file MaterialFlatten.h.

References connectedNodeName, connectedOutputName, and inputName.

## Member Data Documentation

## ◆ connectedNodeName

std::string Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::Connection::connectedNodeName

Definition at line 190 of file MaterialFlatten.h.

Referenced by operator==().

## ◆ connectedOutputName

std::string Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::Connection::connectedOutputName

Definition at line 191 of file MaterialFlatten.h.

Referenced by operator==().

## ◆ inputName

std::string Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::Connection::inputName

Definition at line 189 of file MaterialFlatten.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- opt/local/include/Alembic/AbcMaterial/MaterialFlatten.h